--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: This method is used to turn a matched item into the actual parameter value. It only does something when collector= set the @regexp to something. In this case, <em>val</em> is matched against @regexp and then the match result specified in @index is selected. As a special case, when @index is nil the first non-nil captured group is returned.
full_name: Irc::Bot::MessageParameter#collect
is_singleton: false
name: collect
params: (val)
visibility: public
